For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
        • GETList all Connections
        • GETRetrieve a Connection
        • POSTCreate a Connection
        • POSTDeactivate a Connection
        • POSTReactivate a Connection
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceConnectConnections

Create a Connection

POST
https://api.withpersona.com/api/v1/connect/connections
POST
/api/v1/connect/connections
$curl -X POST https://api.withpersona.com/api/v1/connect/connections \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "attributes": {
> "destination-organization-id": "org_XYZ789"
> }
> }
>}'
1{
2 "data": {
3 "type": "connect/connection",
4 "id": "cxn_ABC123",
5 "attributes": {
6 "status": "pending",
7 "destination-organization-id": "org_XYZ789",
8 "source-organization-id": "org_ABC123",
9 "created-at": "2018-06-01T00:00:00.000Z",
10 "updated-at": "2018-06-01T00:00:00.000Z"
11 }
12 }
13}

Creates a new Connection from your organization to a destination organization in the pending state. The destination organization must accept the connection before it transitions to active; share tokens cannot be redeemed through the connection until then. Connections cannot be deleted, but they can be deactivated and later reactivated to control access.

Was this page helpful?
Previous

Deactivate a Connection

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
dataobjectOptional

Response

This endpoint returns a Connection.
dataobject
A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.